<?php
session_start();

// if there are request variables for year, month, and day
if (isset($_REQUEST["year"]) && isset($_REQUEST["month"]) && isset($_REQUEST["day"])) {
  
  // grab all of the vars
  $year = $_REQUEST["year"];
  $month = $_REQUEST["month"];
  $day = $_REQUEST["day"];
  
  // build a date string
  $birthday = "$year-$month-$day";
  $today = date("Y-m-d"); // generate today's date as a string

  $birthday_seconds = strtotime($birthday);
  $today_seconds = strtotime($today);

  // go 21 years back in time (doesn't account for leap years)
  $legal_age_seconds = $today_seconds - (60 * 60 * 24 * 365 * 21);
  
  if ($birthday_seconds <= $legal_age_seconds) {
    $_SESSION["over21"] = 1;
    header("Location: index.php" . $_REQUEST["redirect"]);
  }
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Fio Pisco [re:discover]</title>
<meta name="description" content="Unlike other spirits Fio Pisco doesn't use any additives. We have a unique requirement, our spirit must be distilled to proof. This means not adding water is a necessity and task reserved only for an accomplished artisan distiller. Fio Pisco is born out of [passion] and unlike any spirit you have tried! Fio Pisco is a flawless and versatile libation for the bold, chic, and inquisitive spirit! Its time for you to put down the dark or light spirit you have grown accustomed to and [re:discover]" />
<meta name="robots" content="index,follow" />
<link rel="shortcut icon" type="image/ico" href="images/fio.ico" />
<!--[if lte IE 7]><link rel="stylesheet" type="text/css" href="css/ie.css" /><![endif]-->
<link rel="stylesheet" type="text/css" href="css/screen.css" />
<link media="only screen and (max-device-width: 480px)" href="css/small-device.css" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="javascript/iepngfix_tilebg.js"></script>
<script type="text/javascript" src="javascript/jquery-1.4.4.js"></script>
<script src="javascript/swfobject.js"></script>
<script language="javascript" src="javascript/jquery.juitter.js" type="text/javascript"></script>
<script language="javascript" src="javascript/system.js" type="text/javascript"></script>
<script src="javascript/jquery.easing.1.3.js" type="text/javascript"></script>
<script language="javascript" src="javascript/animated-menu.js" type="text/javascript"></script>
<style type="text/css">
h1 {
	behavior: url(../iepngfix.htc)
}
</style>
<script type="text/javascript">
function MM_validateForm() { //v4.0
  if (document.getElementById){
    var i,p,q,nm,test,num,min,max,errors='',args=MM_validateForm.arguments;
    for (i=0; i<(args.length-2); i+=3) { test=args[i+2]; val=document.getElementById(args[i]);
      if (val) { nm=val.name; if ((val=val.value)!="") {
        if (test.indexOf('isEmail')!=-1) { p=val.indexOf('@');
          if (p<1 || p==(val.length-1)) errors+='- '+nm+' must contain an e-mail address.\n';
        } else if (test!='R') { num = parseFloat(val);
          if (isNaN(val)) errors+='- '+nm+' must contain a number.\n';
          if (test.indexOf('inRange') != -1) { p=test.indexOf(':');
            min=test.substring(8,p); max=test.substring(p+1);
            if (num<min || max<num) errors+='- '+nm+' must contain a number between '+min+' and '+max+'.\n';
      } } } else if (test.charAt(0) == 'R') errors += '- '+nm+' is required.\n'; }
    } if (errors) alert('The following error(s) occurred:\n'+errors);
    document.MM_returnValue = (errors == '');
} }
</script>
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-25496243-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>

<div id="container"><!-- #BeginLibraryItem "/Library/nav.lbi" --><div id="header">
    <div id="header_inside">
      <h1><a href="index.php"><img src="images/logo.png" alt="Fio Pisco [re:discover]" /></a></h1>
      <ul class="nav">
        <li><a class="nav_history" href="history.php">:history</a></li>
        <li><a class="nav_recipes" href="recipes.php">:recipes</a></li>
        <li><a class="nav_events" href="events.php">:events</a></li>
        <li><a class="nav_find_fio" href="find_fio.php">find:fio</a></li> 
        <li><a class="nav_pisco_party" href="pisco_party.php">pisco:party</a></li>
        <li class="nav_last"><a class="nav_themix" href="http://fiopisco.com/themix/">themix.</a></li>
        <!--<li class="nav_last"><a class="nav_mixologist" href="../mixologist.php">:mixologist</a></li>-->
      </ul>
      <p class="fio_u"><a href="fio_u.php">fio:U</a></p>
    </div>
  </div><!-- #EndLibraryItem --><div id="content_verify">
  <div class="content_inside">
  <div class="content_left_verify">
    <!--<h1 class="feo"><img src="images/feo_pink.png" alt="Phonetic pronounciation of Fio Pisco: [fēō pēskō]" /></h1>
    <h1 class="feo"><img src="images/fio_logo.gif" alt="Phonetic pronounciation of Fio Pisco: [fēō pēskō]" /></h1>-->
    <p class="light_blue">To visit fiopisco.com you must be of legal drinking 
age in the country you live in.</p>
	<h2 class="enter_birthdate">Please enter your Birthdate</h2>
    <p class="date">mm I dd I yyyy</p>
      <form name="age_form">


<select name="month">
	<!--<option>MM</option>-->
	<option>01</option>
	<option>02</option>
	<option>03</option>
	<option>04</option>
	<option>05</option>
	<option>06</option>
	<option>07</option>
	<option>08</option>
	<option>09</option>
	<option>10</option>
	<option>11</option>
	<option>12</option>
</select>

<select name="day">
	<!--<option>DD</option>-->
	<option>01</option>
	<option>02</option>
	<option>03</option>
	<option>04</option>
	<option>05</option>
	<option>06</option>
	<option>07</option>
	<option>08</option>
	<option>09</option>
	<option>10</option>
	<option>11</option>
	<option>12</option>
	<option>13</option>
	<option>14</option>
	<option>15</option>
	<option>16</option>
	<option>17</option>
	<option>18</option>
	<option>19</option>
	<option>20</option>
	<option>21</option>
	<option>22</option>
	<option>23</option>
	<option>24</option>
	<option>25</option>
	<option>26</option>
	<option>27</option>
	<option>28</option>
	<option>29</option>
	<option>30</option>
	<option>31</option>
</select>

<select name="year">
	<!--<option>YYYY</option>-->
    <option>1980</option>
	<option>2003</option>
	<option>2002</option>
	<option>2001</option>
	<option>2000</option>
	<option>1999</option>
	<option>1998</option>
	<option>1997</option>
	<option>1996</option>
	<option>1995</option>
	<option>1994</option>
	<option>1993</option>
	<option>1992</option>
	<option>1991</option>
	<option>1990</option>
	<option>1989</option>
	<option>1988</option>
	<option>1987</option>
	<option>1986</option>
	<option>1985</option>
	<option>1984</option>
	<option>1983</option>
	<option>1982</option>
	<option>1981</option>
	<option>1980</option>
	<option>1979</option>
	<option>1978</option>
	<option>1977</option>
	<option>1976</option>
	<option>1975</option>
	<option>1974</option>
	<option>1973</option>
	<option>1972</option>
	<option>1971</option>
	<option>1970</option>
	<option>1969</option>
	<option>1968</option>
	<option>1967</option>
	<option>1966</option>
	<option>1965</option>
	<option>1964</option>
	<option>1963</option>
	<option>1962</option>
	<option>1961</option>
	<option>1960</option>
	<option>1959</option>
	<option>1958</option>
	<option>1957</option>
	<option>1956</option>
	<option>1955</option>
	<option>1954</option>
	<option>1953</option>
	<option>1952</option>
	<option>1951</option>
	<option>1950</option>
	<option>1949</option>
	<option>1948</option>
	<option>1947</option>
	<option>1946</option>
	<option>1945</option>
	<option>1944</option>
	<option>1943</option>
	<option>1942</option>
	<option>1941</option>
	<option>1940</option>
	<option>1939</option>
	<option>1938</option>
	<option>1937</option>
	<option>1936</option>
	<option>1935</option>
	<option>1934</option>
	<option>1933</option>
	<option>1932</option>
	<option>1931</option>
	<option>1930</option>
	<option>1929</option>
	<option>1928</option>
	<option>1927</option>
	<option>1926</option>
	<option>1925</option>
	<option>1924</option>
	<option>1923</option>
	<option>1922</option>
	<option>1921</option>
	<option>1920</option>
	<option>1919</option>
	<option>1918</option>
	<option>1917</option>
	<option>1916</option>
	<option>1915</option>
	<option>1914</option>
	<option>1913</option>
	<option>1912</option>
	<option>1911</option>
	<option>1910</option>
	<option>1909</option>
	<option>1908</option>
	<option>1907</option>
	<option>1906</option>
	<option>1905</option>
	<option>1904</option>
	<option>1903</option>
</select>

<input type="submit" onclick="return checkAge()" value="Go" name="_send_date_">
</form>
  </div>
  <div class="content_right_verify">
  </div>
</div>
</div>
</div>
<div class="clear"></div><!-- #BeginLibraryItem "/Library/footer.lbi" --><div id="footer">
  <div class="footer_inside">
    <div class="footer_left">
      <div class="twitter_feed">
        <h2 class="at_fiopisco">[@fiopisco]</h2>
        <div id="juitterContainer"></div>
      </div>
    </div>
    <div class="footer_middle">
      <h2 class="header_contact">[contact:fio]</h2>
      <form action="thankyou2.php" method="post" onSubmit="MM_validateForm('name','','R','Email','','RisEmail');return document.MM_returnValue">
        <fieldset style="border:none; padding:0px 0px 0px 0px; color:#202d60;">
          <p class="home_last">
            <label for="name" class="label">name</label>
            <input style="width:285px; height:15px;" type="text" name="name" id="name" class="input" />
            <label for="Email" class="label">email</label>
            <input style="width:285px; height:15px;" type="text" name="Email" id="Email" class="input" />
            <label for="Message" class="label">message</label>
            <textarea class="input" style="width:285px; height:80px;" name="Message"></textarea>
          </p>
        </fieldset>
        <input style="margin:20px 0px 0px 0px;" type="submit" name="button" value="Submit" id="submit"/>
      </form>
    </div>
    <div class="footer_right"> 
      <!--<h3 class="copyright">Fio Pisco + All rights reserved. Copyright 2011</h3>-->
      <h3 class="imported">Imported by SanF LLC. Alexandria, VA</h3>
      <h3 class="commerce">Member, Greater Washington Hispanic Chamber of Commerce</h3>
    </div>
    <div style="display:none;">
      <p>Designed by Jabali Williams for Jawi.Design</p>
    </div>
    <div class="clear"></div>
  </div>
</div>
<!-- #EndLibraryItem --></body>
</html>
