<?php
/**
 * @package WordPress
 * @subpackage Classic_Theme
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
	</style>

	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=monthly&format=link'); ?>
	<?php //comments_popup_script(); // off by default ?>
	<?php wp_head(); ?>
    <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascript/iepngfix_tilebg.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascript/jquery-1.4.4.js"></script>
<script src="<?php bloginfo('template_url'); ?>/javascript/swfobject.js"></script>
<script language="javascript" src="<?php bloginfo('template_url'); ?>/javascript/jquery.juitter.js" type="text/javascript"></script>
<script language="javascript" src="<?php bloginfo('template_url'); ?>/javascript/system.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/javascript/jquery.easing.1.3.js" type="text/javascript"></script>
<script language="javascript" src="<?php bloginfo('template_url'); ?>/javascript/animated-menu.js" type="text/javascript"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/javascript/thickbox.js"></script>
<style type="text/css">
h1 {
	behavior: url(../iepngfix.htc)
}
</style>
<script type="text/javascript">
function MM_validateForm() { //v4.0
  if (document.getElementById){
    var i,p,q,nm,test,num,min,max,errors='',args=MM_validateForm.arguments;
    for (i=0; i<(args.length-2); i+=3) { test=args[i+2]; val=document.getElementById(args[i]);
      if (val) { nm=val.name; if ((val=val.value)!="") {
        if (test.indexOf('isEmail')!=-1) { p=val.indexOf('@');
          if (p<1 || p==(val.length-1)) errors+='- '+nm+' must contain an e-mail address.\n';
        } else if (test!='R') { num = parseFloat(val);
          if (isNaN(val)) errors+='- '+nm+' must contain a number.\n';
          if (test.indexOf('inRange') != -1) { p=test.indexOf(':');
            min=test.substring(8,p); max=test.substring(p+1);
            if (num<min || max<num) errors+='- '+nm+' must contain a number between '+min+' and '+max+'.\n';
      } } } else if (test.charAt(0) == 'R') errors += '- '+nm+' is required.\n'; }
    } if (errors) alert('The following error(s) occurred:\n'+errors);
    document.MM_returnValue = (errors == '');
} }
</script>
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-25496243-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body id="themix">

<div id="container"><div id="header">
    <div id="header_inside">
      <h1><a href="http://fiopisco.com/index.php"><img src="<?php bloginfo('template_url'); ?>/images/logo.png" alt="Fio Pisco [re:discover]" /></a></h1>
      <ul class="nav">
        <li><a class="nav_history" href="http://fiopisco.com/history.php">:history</a></li>
        <li><a class="nav_recipes" href="http://fiopisco.com/recipes.php">:recipes</a></li>
        <li><a class="nav_events" href="http://fiopisco.com/events.php">:events</a></li>
        <li><a class="nav_find_fio" href="http://fiopisco.com/find_fio.php">find:fio</a></li> 
        <li><a class="nav_pisco_party" href="http://fiopisco.com/pisco_party.php">pisco:party</a></li>
        <li class="nav_last"><a class="nav_themix" href="http://fiopisco.com/themix/">themix.</a></li>
        <!--<li class="nav_last"><a class="nav_mixologist" href="../mixologist.php">:mixologist</a></li>-->
      </ul>
      <p class="fio_u"><a href="http://fiopisco.com/fio_u.php">fio:U</a></p>
    </div>
  </div>
  <div id="content_themix">
  <div class="content_inside">
  <div class="content_right">
    <h2 class="head_sidebar">[side:bar]</h2>
    <ul class="sidebar">
      <?php get_sidebar(); ?>
    </ul>
  </div>
  <div class="content_left_outside">
  	<h2 class="head_themix">themix.</h2>
    <div class="content_left">
    	<ul class="title">
        	<li>[re:discover] mixology</li>
        </ul>
        <div class="article">
        	<p>Inspired by the new and versatile Fio Pisco spirit, Daniel Burger + Company will host a viral video blog to showcase its unique flavor and mixing potential</p>
        </div>
    </div>
  <!-- end header -->
